/*
  Blink
  Turns on an LED on for one second, then off for one second, repeatedly.
 
  This example code is in the public domain.
 */
#include <NewPing.h>

#define critical 100   //Light up red light if less than this
#define warning 200    // light up amber if between 500 and 200
#define safe 201      // light up green if greater or equal to this
 
// Pin 13 has an LED connected on most Arduino boards.
// Pin 11 has the LED on Teensy 2.0
// Pin 6  has the LED on Teensy++ 2.0
// Pin 13 has the LED on Teensy 3.0
// give it a name:
int yellow_led = 6;
int red_led = 9;
int green_led = 10;
int time_delay = 500;
int counter=0;
int range=0;

// Sonar variables
#define TRIGGER_PIN  19  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     19  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define MAX_DISTANCE 2000 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.



// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(yellow_led, OUTPUT);    
  pinMode(red_led, OUTPUT);
  pinMode(green_led, OUTPUT);   
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  delay(50);
  range=sonar.ping_cm();
  Serial.print(range);
  Serial.println("  cm");
  if ( (range<= critical) && (range > 0))
  {
    Serial.print("Critical  ");
    Serial.println(range);
    digitalWrite(red_led, HIGH);   // turn the LED on (HIGH is the voltage level)
    delay(time_delay);               // wait for a second
    digitalWrite(red_led, LOW);    // turn the LED off by making the voltage LOW
  }
else
  if ((range > critical) && (range <= warning))
  {
     Serial.print("Warning  ");
     Serial.println(range); 
     digitalWrite(yellow_led, HIGH);   // turn the LED on (HIGH is the voltage level)
     delay(time_delay);               // wait for a second
     digitalWrite(yellow_led, LOW);    // turn the LED off by making the voltage LOW
      }
else  
 if ( (range >= safe) ||  (range==0))
 {
     Serial.print("Safe  ");
     Serial.println(range);
     digitalWrite(green_led, HIGH);   // turn the LED on (HIGH is the voltage level)
     delay(time_delay);               // wait for a second
     digitalWrite(green_led, LOW);    // turn the LED off by making the voltage LOW
     }
 
 
  delay(time_delay);               // wait for a second
//  Serial.println(counter);
//  counter++;
}
